Subject: Re: [bug#49440] [PATCH core-updates]: Compile bdw-gc with support for disclaim procedures

From: Maxime Devos <[email-masked]>
Date: Fri, 09 Jul 2021 21:12:23 +0200

Maxime Devos schreef op di 06-07-2021 om 17:00 [+0200]:
> Hi guix,
> 
> Disclaim procedures do not seem to be used in the wild,
> but seem useful for implementing ephemerons in Guile
> (to be investigated), hence this patch.
> 
> Guile seems to start building fine when using a bdw-gc packave
> with "--enable-disclaim" added (I'm using (package (inherit ...) ...),
> but that was on master. I'll verify on core-updates, but building
> things will take some time.

FWIW, I ran "./pre-inst-env guix build guile" and it succeeded.

Greetings,
Maxime.